Subject: bug#38807: [Feature request]: Support lisp workers like web workers.

From: HaiJun Zhang <[email-masked]>
Date: Wed, 1 Jan 2020 12:02:35 +0800

While with the same dart project, the VSCode has good user responsiveness. As far as I known, the extensions of VSCode runs in separate process.
在 2020年1月1日 +0800 AM11:57，HaiJun Zhang <[email-masked]>，写道：
> OK. I got it.
> One example is lsp-mode for dart language. One completion result is 10000 lines. And emacs doesn’t respond for about 3~4s. This experience kept me away from lsp-mode for half a year.
> 在 2020年1月1日 +0800 AM11:37，Eli Zaretskii <[email-masked]>，写道：
> > > Date: Wed, 1 Jan 2020 11:20:25 +0800
> > > From: HaiJun Zhang <[email-masked]>
> > > Cc: [email-masked]
> > >
> > > 在 2019年12月31日 +0800 AM12:26，Eli Zaretskii <[email-masked]>，写道：
> > >
> > > This reminds me of an old joke: when a shop owner was approached by an
> > > employee asking to work 5 days a week, the owner answered: let's start
> > > with one, and then gradually arrive at 5.
> > >
> > > More to the point, I did say “you could start", didn't I?
> > >
> > > I can’t understand this. Can you explain it?
> >
> > Whatever application you have in mind, try implementing it using what
> > we already have regarding Lisp threads, and see if the limitations
> > Michael mentioned are really so grave. It could be that for some
> > applications what we have is good enough. And if not, you will
> > collect some experience and understand better what additional features
> > do you need.